Skip to main content
GET
/
api
/
extensions
/
beta
/
extensions
List Extensions
curl --request GET \
  --url https://api.example.com/api/extensions/beta/extensions \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "data": [
    {
      "appId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "createdBy": {
        "firstName": "<string>",
        "id": "<string>",
        "lastName": "<string>",
        "userName": "<string>"
      },
      "enabled": true,
      "id": "<string>",
      "name": "<string>",
      "totalViews": 123,
      "uiMountPointTypeConfigs": {
        "adminPanel": {
          "enabled": true,
          "urlConfig": {
            "contextualQueryParams": [],
            "route": "<string>"
          }
        },
        "dataset": {
          "enabled": true,
          "urlConfig": {
            "contextualQueryParams": [],
            "route": "<string>"
          }
        },
        "datasetFileContext": {
          "enabled": true,
          "allProjects": true,
          "fileTypes": [
            "<string>"
          ],
          "mountPoints": [
            {
              "enabled": true,
              "projectId": "<string>"
            }
          ],
          "urlConfig": {
            "contextualQueryParams": [],
            "route": "<string>"
          }
        },
        "modelDetails": {
          "enabled": true,
          "urlConfig": {
            "contextualQueryParams": [],
            "route": "<string>"
          }
        },
        "netAppVolume": {
          "enabled": true,
          "urlConfig": {
            "contextualQueryParams": [],
            "route": "<string>"
          }
        },
        "netAppVolumeFileContext": {
          "enabled": true,
          "allProjects": true,
          "fileTypes": [
            "<string>"
          ],
          "mountPoints": [
            {
              "enabled": true,
              "projectId": "<string>"
            }
          ],
          "urlConfig": {
            "contextualQueryParams": [],
            "route": "<string>"
          }
        },
        "projectSidebar": {
          "enabled": true,
          "allProjects": true,
          "mountPoints": [
            {
              "enabled": true,
              "projectId": "<string>"
            }
          ],
          "urlConfig": {
            "contextualQueryParams": [],
            "route": "<string>"
          }
        }
      },
      "updatedAt": "2023-11-07T05:31:56Z",
      "updatedBy": {
        "firstName": "<string>",
        "id": "<string>",
        "lastName": "<string>",
        "userName": "<string>"
      },
      "appVersionId": "<string>",
      "deletedAt": "2023-11-07T05:31:56Z",
      "deletedBy": {
        "firstName": "<string>",
        "id": "<string>",
        "lastName": "<string>",
        "userName": "<string>"
      },
      "description": "<string>"
    }
  ],
  "meta": {
    "filters": [
      {
        "values": [
          "<string>"
        ]
      }
    ],
    "pagination": {
      "limit": 123,
      "offset": 123,
      "totalCount": 123
    }
  }
}

Authorizations

X-Domino-Api-Key
string
header
required

Query Parameters

mount_point_type
enum<string>[]

The mount point type to filter by. Can accept multiple values.

The type of mount point for the Extension.

Available options:
adminPanel,
netAppVolume,
dataset,
projectSidebar,
netAppVolumeFileContext,
datasetFileContext,
modelDetails
exclude_mount_points
boolean

Whether to exclude mount point information in the response. By default, mount point information is included.

project_id
string

The id of the project to filter by.

enabled
boolean

Filter by top-level enabled status. By default, both enabled and disabled Extensions are shown.

mount_point_enabled
boolean

Filter by the enabled status within a mount point for the given mount_point_type type(s) and project_id params. When set to true, returns Extensions with at least one enabled mount point matching the other filters. When set to false, returns Extensions with at least one disabled mount point matching the other filters. By default, both enabled and disabled mount points are shown.

deleted
boolean

Filter by deletion status. By default, only non-deleted Extensions are returned.

kind
enum<string>

Filter Extensions by their kind (e.g. "DominoOfficial", "Uncategorized"). The category of the Extension.

Available options:
DominoOfficial,
Uncategorized
search_query
string

Filter Extensions by a case-insensitive substring match against name or description. Returns Extensions where either the name or description contains the provided string.

limit
integer

The maximum number of results to return. Use 0 for no limit (default).

Required range: x >= 0
offset
integer

The number of results to skip before starting to collect the result set.

Required range: x >= 0
sort_by
enum<string>

The field to sort by. By default, results are sorted by creation time. The field that the list of Extensions is sorted by.

Available options:
createdAt,
name,
updatedAt,
totalViews
order_by
enum<string>

The order to sort results in. By default, results are sorted in descending order. The order that the list of Extensions is sorted in.

Available options:
asc,
desc

Response

Success

data
object[]
required
meta
object
required